## kdeconnect 0.5.1

=== debian/changelog ===
kdeconnect (0.5.1-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 04 Apr 2014 15:16:04 +0200

kdeconnect (0.5-0ubuntu1) trusty; urgency=medium

  * New upstream release
  * Refresh patches

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 19 Feb 2014 21:55:40 +0100

kdeconnect (0.4.2-2ubuntu2) trusty; urgency=medium

  * Add a transitional package for kdeconnect-kde

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 13 Feb 2014 20:42:00 +0100

kdeconnect (0.4.2-2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Disable tests.

 -- Artur Rona <ari-tczew@ubuntu.com>  Thu, 13 Feb 2014 00:39:05 +0100

kdeconnect (0.4.2-1ubuntu1) trusty; urgency=medium

  * Disable tests

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 22 Jan 2014 14:48:01 +0100
