## kdeconnect 0.5.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
 #add_subdirectory(kio)
 add_subdirectory(plasmoid)
 add_subdirectory(icon)
+#add_subdirectory(cli)
 
 add_subdirectory(tests)
