=== po/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,10 @@
 add_subdirectory(pt)
 add_subdirectory(hu)
 add_subdirectory(de)
+add_subdirectory(ja)
+add_subdirectory(ko)
 add_subdirectory(es)
+add_subdirectory(pl)
 add_subdirectory(ru)
 add_subdirectory(uk)
 add_subdirectory(fi)
@@ -25,6 +28,7 @@
 add_subdirectory(cs)
 add_subdirectory(da)
 add_subdirectory(ro)
+add_subdirectory(tr)
 add_subdirectory(it)
 add_subdirectory(fr)
 add_subdirectory(pt_BR)
