=== debian/changelog ===
kdeconnect (0.5.2.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream release (LP: #1319365)
  * Drop remove-xdg-open-shebang

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 15 May 2014 12:27:10 +0200
