=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kdeconnect
 Section: kde
 Priority: optional
-Maintainer: David Suárez <david.sephirot@gmail.com>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainer: David Suárez <david.sephirot@gmail.com>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
                kdelibs5-dev,
@@ -21,8 +22,20 @@
          libqca2-plugin-ossl,
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: kdeconnect-kde (<< 0.4.2-2ubuntu2), libkdeconnect1 (<< 0.4.2-2ubuntu2)
+Replaces: kdeconnect-kde (<< 0.4.2-2ubuntu2), libkdeconnect1 (<< 0.4.2-2ubuntu2)
 Description: connect smartphones to your KDE Plasma Workspace
  Tool to integrate the KDE Plasma Workspace with your smartphones and
  similar devices.
  It adds a set of plasmoid, plugins and services to the KDE Plasma Workspace.
  At the  moment it only supports Android based devices.
+
+## This transitional package can be dropped post 14.04
+
+Package: kdeconnect-kde
+Architecture: all
+Priority: extra
+Section: oldlibs
+Depends: kdeconnect, ${misc:Depends}
+Description: transitional package for kdeconnect-kde
+ This is a transitional package for kdeconnect-kde. It can be safely removed.
