=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,6 @@
 override_dh_auto_install:
 	dh_auto_install
 	# remove '-dev' related files
-	rm debian/kdeconnect/usr/lib/libkdeconnect.so
+	rm debian/tmp/usr/lib/libkdeconnect.so
+
+.PHONY: override_dh_auto_test
