## kdeconnect 0.7

=== debian/changelog ===
kdeconnect (0.7-1) unstable; urgency=medium

  * New upstream version. (Closes: #753391)
  * Add 'provide-versioned-so-for-kdeconnectcore' patch.
  * Update lintian overrides.
  * debian/rules: remove more development files in order to avoid
      shipping them.
  * debian/control: add libxtst-dev as a build dependency.

 -- David Suárez <david.sephirot@gmail.com>  Tue, 01 Jul 2014 18:11:53 +0200

kdeconnect (0.5.2.1-1) unstable; urgency=low

  * New upstream version
  * Drop 'remove-xdg-open-shebang' patch
  * Point Vcs headers to debian git repository
  * Update copyright file

 -- David Suárez <david.sephirot@gmail.com>  Sun, 18 May 2014 15:50:33 +0200
