=== kio/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
+include_directories(${CMAKE_SOURCE_DIR})
+
 set(kio_kdeconnect_PART_SRCS
    kiokdeconnect.cpp
    kdebugnamespace.cpp)
 
 kde4_add_plugin(kio_kdeconnect ${kio_kdeconnect_PART_SRCS})
-
-add_dependencies(kio_kdeconnect libkdeconnect)
 
 target_link_libraries(kio_kdeconnect
     ${KDE4_KDECORE_LIBS}
@@ -12,7 +12,7 @@
     ${KDE4_KDEUI_LIBRARY}
     ${QT_QTCORE_LIBRARY}
     ${QT_QTGUI_LIBRARY}
-    kdeconnect
+    kdeconnectinterfaces
 )
 
 ########### install files ###############
