=== plasmoid/declarativeplugin/CMakeLists.txt ===
--- 
+++ 
@@ -15,14 +15,13 @@
 qt4_wrap_cpp(kdeconnectdeclarativeplugin_SRC ${kdeconnectdeclarativeplugin_MOC})    
 
 kde4_add_library(kdeconnectdeclarativeplugin SHARED ${kdeconnectdeclarativeplugin_SRC})
-add_dependencies(kdeconnectdeclarativeplugin libkdeconnect)
 target_link_libraries(kdeconnectdeclarativeplugin
     ${KDE4_KDEUI_LIBS}
     ${KDE4_KDECORE_LIBS}
     ${QT_QTCORE_LIBRARY}
     ${QT_QTGUI_LIBRARY}
     ${QT_QTDECLARATIVE_LIBRARY}
-    kdeconnect
+    kdeconnectinterfaces
 )
 install(TARGETS kdeconnectdeclarativeplugin DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/kdeconnect)
 install(FILES qmldir DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/kdeconnect)
