=== debian/changelog ===
kdeconnect (0.7.1-0ubuntu3~ubuntu14.04.1~ppa1) trusty; urgency=medium

  * No-change backport to trusty

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 01 Jul 2014 18:46:29 +0200

kdeconnect (0.7.1-0ubuntu3) utopic; urgency=medium

  * Add sshfs to Recommends

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 30 Jun 2014 17:19:04 +0200

kdeconnect (0.7.1-0ubuntu2) utopic; urgency=medium

  * Don't remove .so's from usr/lib/ , they're required for kdeconnect to work

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 30 Jun 2014 16:12:11 +0200

kdeconnect (0.7.1-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Drop headers from package
  * Add new dep on libxtxt-dev

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 30 Jun 2014 13:46:59 +0200

kdeconnect (0.5.2.1-0ubuntu1) utopic; urgency=medium

  * New upstream release (LP: #1319365)

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 15 May 2014 11:20:16 +0200

kdeconnect (0.5.2-0ubuntu1) utopic; urgency=medium

  * New upstream release (LP: #1319365)
  * Drop remove-xdg-open-shebang

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 14 May 2014 14:18:07 +0200
