=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,6 @@
 override_dh_auto_install:
 	dh_auto_install
 	# remove '-dev' related files
-	rm debian/tmp/usr/lib/libkdeconnect.so
+	rm -rvf debian/tmp/usr/include/*
 
 .PHONY: override_dh_auto_test
