## kdeconnect 0.7.2

=== core/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,9 @@
 project(KDEConnectCore)
+
+set(KDECONNECT_VERSION_MAJOR 1)
+set(KDECONNECT_VERSION_MINOR 0)
+set(KDECONNECT_VERSION_PATCH 1)
+set(KDECONNECT_VERSION "${KDECONNECT_VERSION_MAJOR}.${KDECONNECT_VERSION_MINOR}.${KDECONNECT_VERSION_PATCH}")
 
 include_directories(
     ${KDE4_KIO_LIBS}
@@ -23,10 +28,14 @@
     filetransferjob.cpp
     daemon.cpp
     device.cpp
-    kdebugnamespace.cpp
 )
 
 kde4_add_library(kdeconnectcore SHARED ${kded_kdeconnect_SRCS})
+set_target_properties(kdeconnectcore PROPERTIES
+    VERSION ${KDECONNECT_VERSION}
+    SOVERSION ${KDECONNECT_VERSION_MAJOR}
+)
+
 target_link_libraries(kdeconnectcore
 LINK_PUBLIC
     ${KDE4_KDECORE_LIBS}
