=== interfaces/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,6 @@
     devicesmodel.cpp
     notificationsmodel.cpp
     modeltest.cpp
-    kdebugnamespace.cpp
 )
 
 set(libkdeconnect_public_HEADERS
