=== po/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,7 @@
 add_subdirectory(hu)
 add_subdirectory(de)
 add_subdirectory(ja)
+add_subdirectory(ca)
 add_subdirectory(ko)
 add_subdirectory(es)
 add_subdirectory(pl)
@@ -25,6 +26,7 @@
 add_subdirectory(gl)
 add_subdirectory(nl)
 add_subdirectory(sk)
+add_subdirectory(bg)
 add_subdirectory(cs)
 add_subdirectory(da)
 add_subdirectory(ro)
