=== debian/changelog ===
kdeconnect (0.7.2-1) unstable; urgency=medium

  * New upstream version.
  * Drop patch 'provide-versioned-so-for-kdeconnectcore'.
      Upstream implemented it.
  * Add sshfs as a runtime dependency (Closes: #754300).
      Is needed to remote browsing the devices filesystems.

 -- David Suárez <david.sephirot@gmail.com>  Mon, 08 Sep 2014 20:27:20 +0200
