=== debian/control ===
Source: kdeconnect
Section: kde
Priority: optional
Maintainer: David Suárez <david.sephirot@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               kdelibs5-dev,
               libqca2-dev,
               libqca2-plugin-ossl,
               libqjson-dev,
               libxtst-dev,
               pkg-kde-tools
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/playground/base/kdeconnect-kde
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kdeconnect.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kdeconnect.git;a=summary

Package: kdeconnect
Architecture: any
Depends: libqca2,
         libqca2-plugin-gnupg,
         libqca2-plugin-ossl,
         sshfs,
         ${misc:Depends},
         ${shlibs:Depends}
Description: connect smartphones to your KDE Plasma Workspace
 Tool to integrate the KDE Plasma Workspace with your smartphones and
 similar devices.
 It adds a set of plasmoid, plugins and services to the KDE Plasma Workspace.
 At the  moment it only supports Android based devices.
