=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,9 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	
 	# remove '-dev' related files
-	rm -rvf debian/tmp/usr/include/*
-
-.PHONY: override_dh_auto_test
+	$(RM) debian/kdeconnect/usr/lib/libkdeconnectcore.so
+	$(RM) debian/kdeconnect/usr/lib/libkdeconnectinterfaces.so
+	$(RM) -R debian/kdeconnect/usr/include
+	$(RM) -R debian/kdeconnect/usr/lib/cmake/
